sailpoint.object

## Class ProvisioningPlan.AttributeRequest

- java.lang.Object
- - sailpoint.object.ProvisioningPlan.GenericRequest
  - - sailpoint.object.ProvisioningPlan.AttributeRequest

Enclosing class:
  ProvisioningPlan

    public static class ProvisioningPlan.AttributeRequest
    extends sailpoint.object.ProvisioningPlan.GenericRequest

### Constructor Summary

Constructors
Constructor and Description
`AttributeRequest()`
`AttributeRequest(java.util.Map map)`
`AttributeRequest(ProvisioningPlan.AttributeRequest src)`
`AttributeRequest(java.lang.String name, java.lang.Object value)`
`AttributeRequest(java.lang.String name, ProvisioningPlan.Operation op, java.lang.Object value)`
`AttributeRequest(java.lang.String name, ProvisioningPlan.Operation op, java.lang.Object value, java.lang.String assignmentId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fromMap(java.util.Map map)`
`java.lang.Object` `getValue(SailPointContext ctx)`
`sailpoint.object.ProvisioningPlan.GenericRequest` `instantiate()`
`boolean` `isSecret()`
`java.util.Map` `toMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeRequest

    public AttributeRequest()

#### AttributeRequest

    public AttributeRequest(java.util.Map map)

#### AttributeRequest

    public AttributeRequest(java.lang.String name,
                            java.lang.Object value)

#### AttributeRequest

    public AttributeRequest(java.lang.String name,
                            ProvisioningPlan.Operation op,
                            java.lang.Object value)

#### AttributeRequest

    public AttributeRequest(java.lang.String name,
                            ProvisioningPlan.Operation op,
                            java.lang.Object value,
                            java.lang.String assignmentId)

#### AttributeRequest

    public AttributeRequest(ProvisioningPlan.AttributeRequest src)

### Method Detail

#### instantiate

    public sailpoint.object.ProvisioningPlan.GenericRequest instantiate()

#### isSecret

    public boolean isSecret()

#### getValue

    public java.lang.Object getValue(SailPointContext ctx)
                              throws GeneralException

Throws:
  `GeneralException`

#### toMap

    public java.util.Map toMap()

#### fromMap

    public void fromMap(java.util.Map map)